from django import forms
from django.contrib import admin

from .models import Composition, Ingredient, Recette, Unite


class RecetteForm(forms.ModelForm):
    photo = forms.ImageField(
        label="Photo",
        widget=forms.ClearableFileInput(attrs={'capture': True, 'accept': "image/*"}),
        required=False
    )
    class Meta:
        model = Recette
        fields = '__all__'


@admin.register(Recette)
class RecetteAdmin(admin.ModelAdmin):
    form = RecetteForm


admin.site.register(Composition)
admin.site.register(Ingredient)
admin.site.register(Unite)
