from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Composition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantite', models.DecimalField(blank=True, decimal_places=3, max_digits=6, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Ingredient',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Nom')),
            ],
        ),
        migrations.CreateModel(
            name='Recette',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Nom')),
                ('photo', models.ImageField(blank=True, upload_to='photos', verbose_name='Photo')),
                ('nb_pers', models.IntegerField(default=4)),
                ('prep', models.TextField(blank=True, verbose_name='Préparation')),
                ('source', models.CharField(blank=True, max_length=200, verbose_name='Source')),
                ('ingredients', models.ManyToManyField(blank=True, through='recette.Composition', to='recette.Ingredient')),
            ],
        ),
        migrations.CreateModel(
            name='Unite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=200, verbose_name='Unité')),
            ],
        ),
        migrations.AddField(
            model_name='composition',
            name='ingredient',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='recette.Ingredient'),
        ),
        migrations.AddField(
            model_name='composition',
            name='recette',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='recette.Recette'),
        ),
        migrations.AddField(
            model_name='composition',
            name='unite',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='recette.Unite'),
        ),
    ]
