from django.shortcuts import get_object_or_404, render

from .forms import SearchForm
from .models import Recette


def home(request):
    form = SearchForm(request.POST or None)
    recettes = []
    if request.method == 'POST':
        if form.is_valid():
            recettes = Recette.objects.filter(nom__icontains=form.cleaned_data['text'])
        
    return render(request, 'index.html', context={'form': form, 'recettes': recettes})


def recette(request, pk):
    recette = get_object_or_404(Recette, pk=pk)
    return render(request, 'recette.html', context={'recette': recette})
